package com.bzd.system.service.gkdggl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 顾客订购审核表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SGkdgglCustomerOrderAuditService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSGkdgglCustomerOrderAudit(PageData pd)throws Exception {
        return daoSupport.update("SGkdgglCustomerOrderAuditMapper.addSGkdgglCustomerOrderAudit", pd);
    }

    public List<PageData> findSGkdgglCustomerOrderAuditList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SGkdgglCustomerOrderAuditMapper.selectSGkdgglCustomerOrderAuditList", pd);
    }

    public Integer SGkdgglCustomerOrderAuditRemove(PageData pd)throws Exception {
        return daoSupport.delete("SGkdgglCustomerOrderAuditMapper.SGkdgglCustomerOrderAuditRemove", pd);
    }


    public Integer updateSGkdgglCustomerOrderAudit(PageData pd)throws Exception {
        return daoSupport.update("SGkdgglCustomerOrderAuditMapper.updateSGkdgglCustomerOrderAudit", pd);
    }

}
